{
    "$schema": "https://json.schemastore.org/prettierrc",
    "plugins": ["prettier-plugin-tailwindcss"],
    "printWidth": 120,
    "tabWidth": 4,
    "useTabs": false,
    "semi": true,
    "singleQuote": true,
    "jsxSingleQuote": false,
    "trailingComma": "es5",
    "bracketSpacing": true,
    "bracketSameLine": false,
    "arrowParens": "always",
    "endOfLine": "lf",
    "singleAttributePerLine": false,
    "overrides": [
        {
            "files": ["*.json", "*.jsonc"],
            "options": {
                "tabWidth": 2
            }
        },
        {
            "files": ["*.md"],
            "options": {
                "tabWidth": 2,
                "proseWrap": "always"
            }
        },
        {
            "files": ["*.css", "*.scss"],
            "options": {
                "singleQuote": false
            }
        }
    ]
}
